unit fMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    OpenDialog1: TOpenDialog;
    EditSrcFile: TEdit;
    ButtonSrc: TButton;
    EditDestFile: TEdit;
    ButtonDest: TButton;
    ButtonConvert: TButton;
    procedure ButtonSrcClick(Sender: TObject);
    procedure ButtonDestClick(Sender: TObject);
    procedure ButtonConvertClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses OOPDF;

{$R *.dfm}

procedure TForm1.ButtonSrcClick(Sender: TObject);
begin
  if OpenDialog1.Execute then
    EditSrcFile.Text := OpenDialog1.FileName;
end;

procedure TForm1.ButtonDestClick(Sender: TObject);
begin
  if OpenDialog1.Execute then
    EditDestFile.Text := OpenDialog1.FileName;
end;

procedure TForm1.ButtonConvertClick(Sender: TObject);
var
  FWriter: TOOoWriter;
begin
  FWriter := TOOoWriter.Create;
  FWriter.Connect;
  FWriter.OpenDocument(EditSrcFile.Text);
  FWriter.SaveToPDF(EditDestFile.Text);
  FWriter.Disconnect;
  FWriter.Destroy;
end;

end.
