unit fMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, EditBtn,
  StdCtrls, OOPDF;

type

  { TFormMain }

  TFormMain = class(TForm)
    ButtonConvert: TButton;
    EditSourceFile: TFileNameEdit;
    EditDestFile: TFileNameEdit;
    procedure ButtonConvertClick(Sender: TObject);
  private
    { private declarations }

  public
    { public declarations }
  end; 

var
  FormMain: TFormMain;

implementation

{ TFormMain }

procedure TFormMain.ButtonConvertClick(Sender: TObject);
var
  OOPdfWriter: TOOoWriter;
begin
  OOPdfWriter := TOOoWriter.Create;
  OOPdfWriter.Connect;
  OOPdfWriter.OpenDocument(EditSourceFile.FileName);
  OOPdfWriter.SaveToPDF(EditDestFile.FileName);
  OOPdfWriter.Disconnect;
  OOPdfWriter.Destroy;
end;

initialization
  {$I fmain.lrs}

end.

